<?php

namespace Litecms\BoardClient\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BoardClientTransformer extends TransformerAbstract
{
    public function transform(\Litecms\BoardClient\Models\BoardClient $board_client)
    {
        return [
            'id'                => $board_client->getRouteKey(),
            'key'               => [
                'public'    => $board_client->getPublicKey(),
                'route'     => $board_client->getRouteKey(),
            ], 
            'user_id'           => $board_client->user_id,
            'sponsor_id'        => $board_client->sponsor_id,
            'url'               => [
                'public'    => trans_url('board_client/'.$board_client->getPublicKey()),
                'user'      => guard_url('board_client/board_client/'.$board_client->getRouteKey()),
            ], 
            'status'            => trans('app.'.$board_client->status),
            'created_at'        => format_date($board_client->created_at),
            'updated_at'        => format_date($board_client->updated_at),
        ];
    }
}